%define desktop_file 1
%define desktop_file_utils_version 0.2.93
Summary: The Mail Transport Agent Switcher for Red Hat Linux
Name: redhat-switchmail
Version: 0.5.14
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: newt, /usr/sbin/alternatives, python >= 2.2
BuildPreReq: python >= 2.2, gettext, automake >= 1.6, automake < 1.7
%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
redhat-switchmail is the Mail Transport Agent Switcher for Red Hat Linux.
It enables users to easily switch between various Mail Transport Agent
that they have installed.

%package gnome
Summary: A GUI interface for Mail Transport Agent Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: libglade2, pygtk2-libglade, pygtk2, python >= 2.2
Requires: /usr/sbin/alternatives

%description gnome
The redhat-switchmail-gnome package contains a GNOME interface for the
Mail Transport Agent Switcher.

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/* $RPM_BUILD_ROOT%{_datadir}/applications
%endif

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/switchmail_tui.py*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/%{name}-nox

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/%{name}
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/sysconfig/*.desktop
/etc/X11/applnk/System/*.desktop
%endif
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/switchmail_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/switchmail.glade

%changelog
* Tue Sep  3 2002 Than Ngo <than@redhat.com> 0.5.14-1
- Updated po files

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 0.5.13-1
- Fix some inconsistent interface (bug #72443)

* Mon Aug 12 2002 Karsten Hopp <karsten@redhat.de>
- fix german translation. String output was completely broken
- use SystemSetup keyword

* Wed Aug  7 2002 Than Ngo <than@redhat.com> 0.5.11-1
- move to X-Red-Hat-Extra (bug #70992)
- Updated po files

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 0.5.10-1
- Fixed a bug in warningDialog (bug #70828)
- Updated po files

* Fri Jul 26 2002 Than Ngo <than@redhat.com> 0.5.9-1
- Use pam_timestamp.so

* Thu Jul 25 2002 Than Ngo <than@redhat.com> 0.5.8-1
- new desktop file
- update po files

* Wed Jun 12 2002 Harald Hoyer <harald@redhat.de>
- fallback for C locale

* Wed Jun 12 2002 Than Ngo <than@redhat.com> 0.5.6-1
- fixed traceback bug (bug #66465)

* Mon Jun  3 2002 Harald Hoyer <harald@redhat.de>
- dropped gnome2, fixed automake Req

* Wed May 29 2002 Phil Knirsch <pknirsch@redhat.com> 0.5.3-1
- Included all fixes for gnome2 by Harald Hoyer <harald@redhat.com>

* Wed May 29 2002 Phil Knirsch <pknirsch@redhat.com> 0.5.2-2
- Fixed to build in new environment.

* Wed Apr 24 2002 Than Ngo <than@redhat.com> 0.5.2-1
- fixed a bug in runing in text mode in X

* Wed Apr 10 2002 Than Ngo <than@redhat.com> 0.5.1-1
- release 0.5.1
- update translations

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.5.0-1
- release 0.5.0

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 0.4.0-1
- release 0.4.0

* Sat Mar 02 2002 Than Ngo <than@redhat.com> 0.3.0-1
- update to 0.3.0 (bug #60590, #60591)

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.2.0-1
- update to 0.2.0

* Thu Jan 31 2002 Bill Nottingham <notting@redhat.com> 0.1.1-1
- %%defattr in -gnome package

* Mon Jan 28 2002 Than Ngo <than@redhat.com> 0.1.0-1
- initial packaging
